/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package avalon.tometamodel;

import CoreMDELite.Error;
import java.io.File;
import org.apache.commons.io.FileUtils;

/**
 *
 * @author don
 */
public class Main extends common {

    public static void main(String... args) {
        // standard tools provide 2 arguments, truncate that to one
        if (args.length == 2) {
            String[] a = {args[0]};
            args = a;
        }

        // now standard test
        if (args.length != 1) {
            System.err.format("Usage %s <filename.meta.pl>\n", Main.class.getName());
            System.err.format("   implicit parameters are List<ClassViolet>.array ,List<SchemaPl>.array\n");
            System.exit(1);
        }

        commonstuff(args);
        GenDomainClasses.init = false;
        GenMainClasses.init = false;
        GenLibs.init = false;

        GenDomainClasses.main(args);
        GenMainClasses.main(args);
        GenLibs.main(args);

        // now copy files
        String pcv = packageName + ".class.violet";
        String psv = packageName + ".state.violet";
        if (new File(pcv).exists()) {
            copy2bootDir(pcv, true);
        }
        if (new File(psv).exists()) {
            copy2bootDir(psv, true);
        }

        System.out.println(packageName + " MDELite files are in the boot/ directory");
    }

    static void copy2bootDir(String filename, boolean throwError) {
        File orig = new File(filename);
        File dest = new File("boot/" + filename);
        try {
            FileUtils.copyFile(orig, dest);
        } catch (Exception e) {
            if (throwError) {
                throw new Error("failed to copy file " + filename + " : " + e.getMessage());
            } else {
                System.out.println("did not copy " + filename + " into boot/ as it does not exist");
            }
        }
    }
}
