package avalon;

import CoreMDELite.Globals;
import org.junit.Test;

public class BootCDExchangeClass {
    
    // This test differs from the tometamodel test as it covers EVERYTHING
    public BootCDExchangeClass() {
          Globals.cleanup = false;
    }

    @Test
    public void bootCDExchange() {
        avalon.Main.main("buildClass", "cdexchange");
        checkit(false, "libpl/",".run.pl","nopos","sdb","violetdb","yumldb");
        checkit(false, "libpl/",".schema.pl","nopos","sdb","violetdb","yumldb");
        checkit(false, "src/cdexchange/",".java", "Debug","Dot","Kielerdot","Nopos","Pos","Sdb","Start","Violet","VioletDB",
                "Yuml","YumlDB");
        checkit(false,"src/cdexchange/",".java", "Main");
    }

    void checkit(boolean sorted, String prefix, String suffix, String... f) {
        for (String fn : f) {
            String n = prefix+fn+suffix;
            RegTest.Utility.validate("boot/" + n, "../CDExchange/"+n, sorted);
        }
    }
}
