table(pos,[id,x,y,"cid"]).
pos1(id0,100,80,'c1').
pos1(id1,250,200,'c2').
pos1(id2,250,80,'c0').
pos1(id3,700,80,'c3').
pos(A,B,C,D):-pos1(A,B,C,E),class(E,D,_,_,_).
pos(A,B,C,D):-pos1(A,B,C,E),interface(E,D,_).
:-style_check(-discontiguous).

dbase(nopos,[interfaceExtends,association,class,classImplements,entity,interface]).

table(interfaceExtends,[id,base,extends]).
:- dynamic interfaceExtends/3.

table(association,[id,"role1",arrow1,"role2",arrow2,cid1,cid2]).
:- dynamic association/7.

table(class,[id,"name","fields","methods",superid]).
class(c1,'professor','deptid','',c0).
class(c2,'student','utid','',c0).
class(c0,'person','id;name','',null).
class(c3,'department','id;name;building','',null).

table(classImplements,[id,cid,iid]).
:- dynamic classImplements/3.

table(entity,[id]).
:- dynamic entity/1.

table(interface,[id,"name","methods"]).
:- dynamic interface/3.

