package cdexchange;

import CoreMDELite.PrologObject;
import java.util.LinkedList;
import java.util.List;

public class Nopos extends PrologObject {

    public static Nopos current = null;
    public static List<Nopos> array = new LinkedList<>();

    public String domainName() {
        return "nopos";
    }

    public String domainType() {
        return "pl";
    }

    public Nopos(String filename) {
        super(filename);
        current = this;
        array.add(this);
        temporary();
    }

    public Dot toDot() {
        Dot result = new Dot(fileName);
        invokeVm2t(result, "libvm/sdbnopos2dot.vm");
        return result;
    }

}
