package cdexchange;

import CoreMDELite.PrologObject;
import java.util.LinkedList;
import java.util.List;

public class Sdb extends PrologObject {

    public static Sdb current = null;
    public static List<Sdb> array = new LinkedList<>();

    public String domainName() {
        return "sdb";
    }

    public String domainType() {
        return "pl";
    }

    public Sdb(String filename) {
        super(filename);
        current = this;
        array.add(this);
        temporary();
    }

    public Nopos toNoPos() {
        Nopos result = new Nopos(fileName);
        fromTo("sdb","nopos",result.fullName);
        result.conform();
        return result;
    }

    public YumlDB sdb2yuml() {
        YumlDB result = new YumlDB(fileName);
        fromTo("sdb","yumldb",result.fullName);
        result.conform();
        return result;
    }

    public VioletDB sdb2violet() {
        VioletDB result = new VioletDB(fileName);
        fromTo("sdb","violetdb",result.fullName);
        result.conform();
        return result;
    }

}
