package cdexchange;

import CoreMDELite.PrologObject;
import java.util.LinkedList;
import java.util.List;

public class VioletDB extends PrologObject {

    public static VioletDB current = null;
    public static List<VioletDB> array = new LinkedList<>();

    public String domainName() {
        return "violetdb";
    }

    public String domainType() {
        return "pl";
    }

    public VioletDB(String filename) {
        super(filename);
        current = this;
        array.add(this);
        temporary();
    }

    public Sdb violet2sdb() {
        Sdb result = new Sdb(fileName);
        fromTo("violetdb","sdb",result.fullName);
        result.conform();
        return result;
    }

    public Violet toVclass() {
        Violet result = new Violet(fileName);
        invokeVm2t(result, "libvm/violetXml.vm");
        return result;
    }

}
