package cdexchange;

import CoreMDELite.MDELiteObject;
import java.util.LinkedList;
import java.util.List;

public class Yuml extends MDELiteObject {

    public static Yuml current = null;
    public static List<Yuml> array = new LinkedList<>();

    public String domainName() {
        return "yuml";
    }

    public String domainType() {
        return "yuml";
    }

    public Yuml(String filename) {
        super(filename);
        current = this;
        array.add(this);
    }

    public YumlDB yclass2yuml() {
        YumlDB result = new YumlDB(fileName);
        cdexchange.classYumlParser.Main.main(fullName, result.fullName);
        result.conform();
        return result;
    }

}
