package cdexchange;

import CoreMDELite.PrologObject;
import java.util.LinkedList;
import java.util.List;

public class YumlDB extends PrologObject {

    public static YumlDB current = null;
    public static List<YumlDB> array = new LinkedList<>();

    public String domainName() {
        return "yumldb";
    }

    public String domainType() {
        return "pl";
    }

    public YumlDB(String filename) {
        super(filename);
        current = this;
        array.add(this);
        temporary();
    }

    public Yuml toYclass() {
        Yuml result = new Yuml(fileName);
        invokeVm2t(result, "libvm/yumlpl2yuml.vm");
        return result;
    }

    public Sdb yuml2sdb() {
        Sdb result = new Sdb(fileName);
        fromTo("yumldb","sdb",result.fullName);
        result.conform();
        return result;
    }

}
