/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package CDExchange;

import cdexchange.VioletDB;
import cdexchange.YumlDB;
import cdexchange.Sdb;
import cdexchange.Main;
import cdexchange.Violet;
import cdexchange.Yuml;
import CoreMDELite.Globals;
import RegTest.Utility;
import static org.junit.Assert.fail;
import org.junit.Test;

/**
 *
 * @author dsb
 */
public class Violet2YumlTest {

    public Violet2YumlTest() {
        RegTest.Utility.init();
        Globals.setHomePath(false);
        Main.setAppPath(false);
        Globals.cleanup = false;
    }

    @Test
    public void Main1() {
        doit("noLinks");
    }

    @Test
    public void Main2() {
        doit("wLinks");
    }

    @Test
    public void Main3() {
        doit("Violet");
    }
    
    
    public void doit(String fileName) {
        Yuml y2 = null;
        try {
            Violet y1 = new Violet("TestData/Violet2Yuml/"+fileName);
            VioletDB ypl = y1.vclass2violet();
            Sdb s = ypl.violet2sdb();
            s.newVersionNumber();
            YumlDB yp = s.sdb2yuml();
            y2 = yp.toYclass();
        } catch (RuntimeException e) {
            fail(e.getMessage());
        }
        Utility.validate(y2.fullName, true);
    }
}
