/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package CDExchange;

import cdexchange.VioletDB;
import cdexchange.Nopos;
import cdexchange.Kielerdot;
import cdexchange.YumlDB;
import cdexchange.Sdb;
import cdexchange.Pos;
import cdexchange.Main;
import cdexchange.Violet;
import cdexchange.Dot;
import cdexchange.Yuml;
import CoreMDELite.Globals;
import RegTest.Utility;
import static org.junit.Assert.fail;
import org.junit.Test;

/**
 *
 * @author dsb
 */
public class Yuml2VioletTest {

    public Yuml2VioletTest() {
        RegTest.Utility.init();
        Globals.setHomePath(false);
        Main.setAppPath(false);
        Globals.cleanup = false;
    }

    @Test
    public void Main1() {
        doit("noLinks");
    }

    @Test
    public void Main2() {
        doit("wLinks");
    }

    @Test
    public void Main3() {
        doit("1Standard");
    }
    
    @Test
    public void Main4() {
        doit("Notepad");
    }
    
    public void doit(String fileName) {
        Violet v = null;
        try {
            Yuml y = new Yuml("TestData/Yuml2Violet/"+fileName);
            YumlDB ypl = y.yclass2yuml();
            Sdb s = ypl.yuml2sdb();
            s.newVersionNumber();
            Nopos snp = s.toNoPos();
            Dot d = snp.toDot();
            Kielerdot kd = d.Kieler();
            Pos p = kd.toPos();
            Sdb result = p.merge(Nopos.current);
            VioletDB vp = result.sdb2violet();
            v = vp.toVclass();
        } catch (RuntimeException e) {
            fail(e.getMessage());
        }
        Utility.validate(v.fullName, true);
    }
}
