package violetConform;

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */


import CoreMDELite.ConformanceError;
import CoreMDELite.Globals;
import cdexchange.VioletDB;
import RegTest.Utility;
import org.junit.Test;

/**
 *
 * @author dsb
 */
public class ConformTest {

    public ConformTest() {
        RegTest.Utility.init();
        Globals.setHomePath(false);
        cdexchange.Main.setAppPath(false);
        Globals.cleanup = false;
    }

    @Test
    public void testMain1() {
        doit("onlyNodes");
    }

    @Test
    public void testMain2() {
        doit("inh");
    }

    @Test
    public void testMain3() {
        doit("classCycle");
    }

    @Test
    public void testMain4() {
        doit("intCycle");
    }

    public void doit(String name) {
        String testdata = "TestData/violetConform/";
        
        VioletDB c = new VioletDB(testdata + name);
        try {
            c.conform();
        } catch (ConformanceError e) {
            Utility.validate(Globals.conformFile, "Correct/"+testdata + name + ".txt", true);
            return;
        }
        assert (false);
    }
}
