package yumlConform;

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

import CoreMDELite.ConformanceError;
import CoreMDELite.GProlog;
import CoreMDELite.Globals;
import cdexchange.YumlDB;
import RegTest.Utility;
import org.junit.Test;

/**
 *
 * @author don
 */
public class ConformTest {

    public ConformTest() {
        RegTest.Utility.init();
        Globals.setHomePath(false);
        cdexchange.Main.setAppPath(false);
        Globals.cleanup = false;
    }

    @Test
    public void testMain1() {
        doit("onlyNodes");
    }

    @Test
    public void testMain2() {
        doit("inh");
    }

    @Test
    public void testMain3() {
        doit("cycles");
    }

    @Test
    public void testMain4() {
        doit("onlyNodes2");
    }

    public void doit(String name) {
        String testdata = "TestData/yumlConform/";
        
        YumlDB c = new YumlDB(testdata + name);
        try {
            c.conform();
        } catch (ConformanceError e) {
            Utility.validate(Globals.conformFile, "Correct/"+ testdata + name + ".txt", true);
            return;
        }
        assert (false);
    }
}
