dbase(d1,[c1,c2,c3,c4,c5]).

table(c1,[a1,"a2"]).
table(c2,[a1,"a2",a3,a4,"a5"]).
table(c3,[a1,"a2",a6,a7]).
table(c4,[a1,"a2",a6,a7,a8]).
table(c5,[a1,"a2",a6,a7,a8,b1,b2,b3]).

subtable(c1,[c2,c3]).
subtable(c3,[c4]).
subtable(c4,[c5]).

tuple(c1,L):-c1(A1,A2),L=[A1,A2].
tuple(c2,L):-c2(A1,A2,A3,A4,A5),L=[A1,A2,A3,A4,A5].
tuple(c3,L):-c3(A1,A2,A3,A4),L=[A1,A2,A3,A4].
tuple(c4,L):-c4(A1,A2,A3,A4,A5),L=[A1,A2,A3,A4,A5].
tuple(c5,L):-c5(A1,A2,A3,A4,A5,A6,A7,A8),L=[A1,A2,A3,A4,A5,A6,A7,A8].

c1ALL(A1,A2):-c1(A1,A2).
c1ALL(A1,A2):-c2ALL(A1,A2,_,_,_).
c1ALL(A1,A2):-c3ALL(A1,A2,_,_).
c2ALL(A1,A2,A3,A4,A5):-c2(A1,A2,A3,A4,A5).
c3ALL(A1,A2,A3,A4):-c3(A1,A2,A3,A4).
c3ALL(A1,A2,A3,A4):-c4ALL(A1,A2,A3,A4,_).
c4ALL(A1,A2,A3,A4,A5):-c4(A1,A2,A3,A4,A5).
c4ALL(A1,A2,A3,A4,A5):-c5ALL(A1,A2,A3,A4,A5,_,_,_).
c5ALL(A1,A2,A3,A4,A5,A6,A7,A8):-c5(A1,A2,A3,A4,A5,A6,A7,A8).
