package vm2t;

import java.io.*;
import java.util.*;

/**
 *
 * @author jdw2495
 */
public class TemplateFile {

    // this fixes a problem with Velocity -- Velocity doesn't allow indenting of # lines, which
    // causes no lack of problems.  This function strips off white space on lines should start with #
    public static File cutWhiteSpace(File f) throws IOException {
        Scanner scan = new Scanner(f);

        String sourceName = f.getName() + ".vm";
        File result = new File(sourceName);
        PrintWriter writer = new PrintWriter(result);
        while (scan.hasNext()) {
            String line = scan.nextLine();
            if (line.length() > 0) {
                String trimmedLine = line.trim();
                if (trimmedLine.startsWith("#")) {
                    writer.println(trimmedLine);
                } else {
                    writer.println(line);
                }
            } else {
                writer.println();
            }
        }
        writer.flush();
        writer.close();
        //System.err.println("cut file: "+result.getAbsolutePath());
        result.deleteOnExit();

        return result;
    }
}