/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package CoreMDELite.PrologDB;

import PrologDB.ReadPrologDB;
import PrologDB.DBSchema;
import CoreMDELite.Globals;
import java.io.File;
import java.io.PrintStream;
import org.junit.Test;
/**
 *
 * @author don
 */
public class ReadSchemaTest {

    public ReadSchemaTest() {
    }

    @Test
    public void sdb() {
        theWork("sdb");
    }

    @Test
    public void violet() {
        theWork("violet");
    }

    @Test
    public void yuml() {
        theWork("yuml");
    }

    public void theWork(String filename) {
        String inputFile = "TestData/ReadPrologDatabase/" + filename + ".schema.pl";
        String outputFile = "TestData/ReadPrologDatabase/1" + filename + ".schema.pl";

        PrintStream eps = null;  // pacify whiney compiler
        PrintStream out = null;
        File schema = null;

        try {
            eps = new PrintStream(Globals.errorFile);
            schema = new File(inputFile);
            out = new PrintStream(outputFile);
        } catch (Exception e) {
            assert (false);
        }
        DBSchema dbs = ReadPrologDB.readSchema(schema, eps);
        dbs.print(out);
        RegTest.Utility.validate(outputFile, false);
    }

}
