dbase(sdb,[class,association,interface,interfaceExtends,classImplements,entity,pos]).

table(class,[id,"name","fields","methods",superid]).
table(association,[id,"role1",arrow1,"role2",arrow2,cid1,cid2]).
table(interface,[id,"name","methods"]).
table(interfaceExtends,[id,base,extends]).
table(classImplements,[id,cid,iid]).
table(entity,[id]).
table(pos,[id,x,y,"cid"]).

subtable(entity,[class,interface]).

tuple(class,L):-class(A1,A2,A3,A4,A5),L=[A1,A2,A3,A4,A5].
tuple(association,L):-association(A1,A2,A3,A4,A5,A6,A7),L=[A1,A2,A3,A4,A5,A6,A7].
tuple(interface,L):-interface(A1,A2,A3),L=[A1,A2,A3].
tuple(interfaceExtends,L):-interfaceExtends(A1,A2,A3),L=[A1,A2,A3].
tuple(classImplements,L):-classImplements(A1,A2,A3),L=[A1,A2,A3].
tuple(entity,L):-entity(A1),L=[A1].
tuple(pos,L):-pos(A1,A2,A3,A4),L=[A1,A2,A3,A4].

classALL(A1,A2,A3,A4,A5):-class(A1,A2,A3,A4,A5).
associationALL(A1,A2,A3,A4,A5,A6,A7):-association(A1,A2,A3,A4,A5,A6,A7).
interfaceALL(A1,A2,A3):-interface(A1,A2,A3).
interfaceExtendsALL(A1,A2,A3):-interfaceExtends(A1,A2,A3).
classImplementsALL(A1,A2,A3):-classImplements(A1,A2,A3).
entityALL(A1):-entity(A1).
entityALL(A1):-classALL(A1,_,_,_,_).
entityALL(A1):-interfaceALL(A1,_,_).
posALL(A1,A2,A3,A4):-pos(A1,A2,A3,A4).
