/* file: violet2sdb.pl */

/*********** translation of violetTClass to class tuples *************/
inherit(N,N1):-violetTAssociation(_,_,'TRIANGLE',_,_,_,_,_,N1,N),violetTClass(N1,_,_,_,_,_),!.
inherit(N,N1):-violetTAssociation(_,_,_,_,_,'TRIANGLE',_,_,N,N1),violetTClass(N1,_,_,_,_,_),!.
inherit(_,null).
class(I,N,F,M,S):-violetTClass(I,N,F,M,_,_),inherit(I,S).
pos(Id,X,Y,I):-entity(Id,X,Y,I).
entity(Id,X,Y,I):-violetTClass(Id,I,_,_,X,Y).
entity(Id,X,Y,I):-violetTInterface(Id,I,_,X,Y).




/*********** translation of violetTInterface to interface tuples *************/
interface(I,N,M):-violetTInterface(I,N,M,_,_).
pos(I,X,Y):-violetTInterface(I,_,_,X,Y).

/*********** translation to violetTAssociation to violetTAssociation, classImplements, and interfaceExtends tuples *************/
xlate('V',arrow).
xlate('TRIANGLE',implem).
xlate('TRIANGLE',inherit).
xlate('TRIANGLE',inherit).
xlate('DIAMOND',agg).
xlate('BLACK_DIAMOND',comp).
xlate('',none).
association(Id,R1,A1,R2,A2,I1,I2):-violetTAssociation(Id,R1,Arrow1,_,R2,Arrow2,_,_,I1,I2),
                    not(Arrow1=='TRIANGLE'),not(Arrow2=='TRIANGLE'),
                    xlate(Arrow1,A1),xlate(Arrow2,A2).
classImplements(Id,C,I):-violetTAssociation(Id,_,'TRIANGLE','interfacenode',_,'','classnode',_,I,C).
classImplements(Id,C,I):-violetTAssociation(Id,_,'','classnode',_,'TRIANGLE','interfacenode',_,C,I).

interfaceExtends(Id,B,X):-violetTAssociation(Id,_,'TRIANGLE','interfacenode',_,'','interfacenode',_,B,X).
interfaceExtends(Id,B,X):-violetTAssociation(Id,_,'','interfacenode',_,'TRIANGLE','interfacenode',_,X,B).

:-dynamic entity/1.


