package avalon;

import CoreMDELite.MDELiteObject;
import java.util.LinkedList;
import java.util.List;

public class ClassViolet extends MDELiteObject {

    public static ClassViolet current = null;
    public static List<ClassViolet> array = new LinkedList<>();

    public String domainName() {
        return "class";
    }

    public String domainType() {
        return "violet";
    }

    public ClassViolet(String filename) {
        super(filename);
        current = this;
        array.add(this);
    }

    public VioletPl toViolet() {
        VioletPl result = new VioletPl(fileName);
        avalon.classVioletParser.Main.main(fullName, result.fullName);
        result.conform();
        return result;
    }

    public Schema toSchema() {
        Schema result = new Schema(fileName);
        avalon.class2schema.Main.main(fullName, result.fullName);
        return result;
    }

}
