package avalon;

import CoreMDELite.PrologObject;
import java.util.LinkedList;
import java.util.List;

public class Meta extends PrologObject {

    public static Meta current = null;
    public static List<Meta> array = new LinkedList<>();

    public String domainName() {
        return "meta";
    }

    public String domainType() {
        return "pl";
    }

    public Meta(String filename) {
        super(filename);
        current = this;
        array.add(this);
        temporary();
    }

    public List<ClassViolet> toClasses() {
        ClassViolet.array = new LinkedList<>();
        avalon.toClasses.Main.main(fullName);
        return ClassViolet.array;
    }

    public Metamodel toMetamodel() {
        Metamodel result = new Metamodel(fileName);
        avalon.tometamodel.Main.main(fullName, result.fullName);
        return result;
    }

}
