/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package avalon.tometamodel;

import PrologDB.ReadPrologDB;
import PrologDB.DB;
import CoreMDELite.ConformanceError;
import CoreMDELite.Error;
import CoreMDELite.Globals;
import java.io.File;
import java.io.PrintStream;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import org.apache.commons.io.FileUtils;

/**
 *
 * @author don
 */
public class common {

    protected static String packageName;
    protected static File inputFile;
    protected static PrintStream eps;
    protected static DB db;
    protected static String localDbName;
    static final String basicIndent = "    ";
    static int counter;
    static int incLevel;
    static String indent;
    public static boolean init = true;
    static Map<String, String> vars;

    protected static void commonstuff(String args[]) {
        // Step 1: let's make sure we open everything properly

        localDbName = args[0];
        int i = localDbName.indexOf(".");
        int j = localDbName.lastIndexOf("/");
        packageName = localDbName.substring(j + 1, i);

        try {
            inputFile = new File(localDbName);
        } catch (Exception e) {
            throw new Error("can't open file " + localDbName);
        }
        try {
            eps = new PrintStream(Globals.errorFile);
        } catch (Exception e) {
            throw new Error("can't open file " + Globals.errorFile);
        }
        db = ReadPrologDB.readDataBase(inputFile, eps);
        eps.close();

        // finally, delete the boot directory
        File boot = new File("boot");
        if (boot.exists()) {
            try {
                FileUtils.deleteDirectory(boot);
            } catch (Exception e) {
                throw new Error("can't delete boot directory : " + e.getMessage());
            }
        }
    }

    protected static String className(String dom, String ext) {
        String d1 = dom.substring(0, 1).toUpperCase();
        String dr = dom.substring(1).toLowerCase();
        String e1 = ext.substring(0, 1).toUpperCase();
        String er = ext.substring(1).toLowerCase();
        return d1 + dr + e1 + er;
    }

    protected static void decIndent() {
        GenMainClasses.incLevel--;
        setIndent();
    }

    protected static Map<String, String> findTuple(List<Map<String, String>> table, String column, String id) {
        for (Map<String, String> tuple : table) {
            String val = tuple.get(column);
            if (val.equals(id)) {
                return tuple;
            }
        }
        //return null;
        throw new ConformanceError("in database " + localDbName + " can't find tuple with id " + id);
    }

    protected static void incIndent() {
        GenMainClasses.incLevel++;
        setIndent();
    }

    protected static void initIndent() {
        GenMainClasses.incLevel = 0;
        GenMainClasses.indent = "";
    }

    protected static void initVars() {
        GenMainClasses.vars = new HashMap<>();
        GenMainClasses.counter = 0;
    }

    protected static String newVar(String className) {
        String newvar = "v" + GenMainClasses.counter++;
        GenMainClasses.vars.put(className, newvar);
        return newvar;
    }
    
    protected static String getVar(String className) {
        if (className.endsWith("[]"))
            return className.replace("[]", "")+".array";
        String result = GenMainClasses.vars.get(className);
        if (result == null)
            throw new Error("reference to undefined variable in domain "+className);
        return GenMainClasses.vars.get(className);
    }

    protected static void setIndent() {
        GenMainClasses.indent = "";
        for (int i = 0; i < GenMainClasses.incLevel; i++) {
            GenMainClasses.indent = GenMainClasses.indent + GenMainClasses.basicIndent;
        }
    }

}
