package avalon;

import org.junit.Test;

public class BootAvalonClass {
    
    // This test differs from the tometamodel test as it covers EVERYTHING
    public BootAvalonClass() {
    }

    @Test
    public void bootAvalonClass() {
        avalon.Main.main("buildClass", "avalon");
        checkit("libpl/",".run.pl","meta","violetpl");
        checkit("libpl/",".schema.pl","meta","violetpl");
        checkit("src/avalon/",".java", "AvalonSpec","ClassViolet","Debug","Main","Meta","Metamodel","Schema","Start","VioletPl");
    }

    void checkit(String prefix, String suffix, String... f) {
        for (String fn : f) {
            String n = prefix+fn+suffix;
            RegTest.Utility.validate("boot/" + n, n, false);
        }
    }
}
