package avalon;

import org.junit.Test;

public class BootAvalonState {
    
    // This test differs from the tometamodel test as it covers EVERYTHING
    public BootAvalonState() {
    }
    
    @Test
    public void bootAvalonState() {
        avalon.Main.main("buildState", "avalon");
        checkit("libpl/",".run.pl","meta","violetpl");
        checkit("libpl/",".schema.pl","meta","violetpl");
        checkit("src/avalon/",".java", "AvalonSpec","ClassViolet","Debug","Main","Meta","Metamodel","Schema","Start","VioletPl");
    }

    void checkit(String prefix, String suffix, String... f) {
        for (String fn : f) {
            String n = prefix+fn+suffix;
            RegTest.Utility.validate("boot/" + n, n, false);
        }
    }
}
