:-style_check(-discontiguous).

dbase(sdb,[class,association,interface,interfaceExtends,classImplements,entity,pos]).

table(pos,[id,x,y,"cid"]).
pos(c2,0,0,'class2').
pos(c1,0,0,'class1').
pos(c0,0,0,'class0').
pos(c3,0,0,'int2').
pos(c5,0,0,'int1').
pos(c4,0,0,'int0').

table(entity,[id]).
:- dynamic entity/1.

table(classImplements,[id,cid,iid]).
:- dynamic classImplements/3.

table(interfaceExtends,[id,base,extends]).
:- dynamic interfaceExtends/3.

table(interface,[id,"name","methods"]).
interface(c3,'int2','m1();m2()').
interface(c5,'int1','m1()').
interface(c4,'int0','').

table(association,[id,"role1",arrow1,"role2",arrow2,cid1,cid2]).
:- dynamic association/7.

table(class,[id,"name","fields","methods",superid]).
class(c2,'class2','f1;f2','m1();m2()',null).
class(c1,'class1','f1','m1()',null).
class(c0,'class0','','',null).

