/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package CDExchange;

import cdexchange.VioletDB;
import cdexchange.Sdb;
import cdexchange.Main;
import cdexchange.Violet;
import CoreMDELite.ConformanceError;
import CoreMDELite.Error;
import CoreMDELite.Globals;
import RegTest.Utility;
import static org.junit.Assert.fail;
import org.junit.Test;

/**
 *
 * @author dsb
 */
public class VioletRoundTripTest {

    public VioletRoundTripTest() {
        RegTest.Utility.init();
        Globals.setHomePath(false);
        Main.setAppPath(false);
        Globals.cleanup = false;
    }

    @Test
    public void Main1() {
        doit("noLinks");
    }

    @Test
    public void Main2() {
        doit("wLinks");
    }

    @Test
    public void Main3() {
        doit("violet");
    }

    public void doit(String filename) {
        shortTrip(filename);
        longTrip(filename);
    }

    public void longTrip(String fileName) {
        Violet v1 = null;
        
        try {
            Violet v = new Violet("TestData/VioletRoundTrip/"+fileName);
            VioletDB vpl = v.vclass2violet();
            Sdb sdb = vpl.violet2sdb();
            sdb.newVersionNumber();
            VioletDB vpl1 = sdb.sdb2violet();
            v1 = vpl1.toVclass();
        } catch (Error e) {
            fail(e.getMessage());
        } catch (ConformanceError e) {
            fail(e.getMessage());
        }
        Utility.validate(v1.fullName, "Correct/TestData/VioletRoundTrip/"+fileName+"L.class.violet", false);
    }
     
    
    public void shortTrip(String fileName) {
        Violet vs = null;
        try {
            Violet v = new Violet("TestData/VioletRoundTrip/"+fileName);
            VioletDB vpl = v.vclass2violet();
            vpl.newVersionNumber();
            vs = vpl.toVclass();
        } catch (RuntimeException e) {
            fail(e.getMessage());
        }
        Utility.validate(vs.fullName, "Correct/TestData/VioletRoundTrip/"+fileName+"S.class.violet", false);
    }
}
