package KielerLoop;

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

import CoreMDELite.Globals;
import cdexchange.Dot;
import cdexchange.Kielerdot;
import cdexchange.Pos;
import cdexchange.Sdb;
import cdexchange.Nopos;
import RegTest.Utility;
import org.junit.Test;

/**
 *
 * @author don
 */
public class KielerLoopTest {

    public KielerLoopTest() {
        RegTest.Utility.init();
        Globals.setHomePath(false);
        cdexchange.Main.setAppPath(false);
        Globals.cleanup = false;
    }

    @Test
    public void Main1() {
        doit("noLinks");
    }

    @Test
    public void Main2() {
        doit("wLinks");
    }

    @Test
    public void Main3() {
        doit("1Standard");
    }

    @Test
    public void Main4() {
        doit("Notepad");
    }

    void doit(String fileName) {
        String testdata = "TestData/KielerLoop/";
        try {
            Sdb s = new Sdb(testdata+fileName);
            Nopos snp = s.toNoPos();
            Utility.validate(snp.fullName, true);
            Dot d = snp.toDot();
            Utility.validate(d.fullName, true);
            Kielerdot kd = d.Kieler();
            Pos p = kd.toPos();
            Utility.validate(p.fullName, true);
            p.newVersionNumber();
            Sdb result = p.merge(Nopos.current);
            Utility.validate(result.fullName, true);
        } catch (Exception e) {
            System.err.println(e.getMessage());
            assert (false);
        }

    }
}
