package yuml4sdb;

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

import CoreMDELite.Globals;
import cdexchange.Sdb;
import cdexchange.YumlDB;
import RegTest.Utility;
import org.junit.Test;
import static org.junit.Assert.*;

/**
 *
 * @author don
 */
public class yumlpl2sdbTest {

    static String[] eliminate = {"id0", "id1", "id2", "id3", "id4", "id5", "id6"};

    public yumlpl2sdbTest() {
        RegTest.Utility.init();
        Globals.setHomePath(false);
        cdexchange.Main.setAppPath(false);
        Globals.cleanup = false;
    }

    @Test
    public void Main1() {
        doit("noLinks");
    }

    @Test
    public void Main2() {
        doit("wLinks");
    }

    @Test
    public void Main3() {
        doit("1Standard");
    }

    @Test
    public void Main5() {
        doit("Notepad");
    }
    
    void doit(String fileName) {
        String testdata = "TestData/yuml4sdb/";
        
        try {
            YumlDB vpl = new YumlDB(testdata + fileName);
            Sdb sdb = vpl.yuml2sdb();
            Utility.validate(sdb.fullName, true);
            sdb.newVersionNumber();
            YumlDB back = sdb.sdb2yuml();
            Utility.validate(back.fullName, true);
        } catch (RuntimeException e) {
            fail(e.getMessage());
        }
    }
}
