/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package Utils;

import CoreMDELite.Globals;
import PrologDB.DBSchema;
import PrologDB.ReadPrologDB;
import java.io.File;
import java.io.PrintStream;

/**
 *
 * @author don
 */
public class ElaborateSchema {

    public static void main(String... args) throws Exception {
        
        if (args.length == 0 || !(args[0].endsWith(".pl"))) {
            System.err.format("Usage: %s: <name>.pl\n", ElaborateSchema.class.getName());
            System.err.format("       convert a short schema (dbase+table+subtable decls)\n");
            System.err.format("       to a full <name>.schema.pl file\n\n");
            System.exit(1);
        }

        PrintStream eps = new PrintStream(Globals.errorFile);
        File f = new File(args[0]);
        String targetFileName = args[0].replace(".pl", ".schema.pl");
        PrintStream out = new PrintStream(targetFileName);
        DBSchema dbs = ReadPrologDB.readSchema(f, eps);
        dbs.flatten();
        dbs.printFullSchema(out);
        out.close();
        System.out.format("%s produced!\n", targetFileName);
    }

}
