/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package Utils;

import CoreMDELite.GProlog;
import CoreMDELite.Globals;
import CoreMDELite.MDELiteObject;
import static CoreMDELite.MDELiteObject.executeCommandLine;
import java.io.*;

/**
 *
 * @author dsb
 */
public class VerifyInstallation {

    public static void main(String[] args) {
        Globals.setHomePath(true);
        String scriptFile = Globals.homePath + Globals.scriptFile;

        try {
            PrintStream ps;
            ps = new PrintStream(scriptFile);
            ps.format(":-['%slibpl/swiplInstalled'],run,halt.", Globals.homePath);
            ps.flush();
            ps.close();
        } catch (Exception e) {
            MDELiteObject.done(e);
        }

        try {
            executeCommandLine(Globals.swipl, "--quiet", "-f", scriptFile);
        } catch (Exception e) {
            System.err.println("MDELite halts -- SWI Prolog Errors detected");
            System.err.println("debug this prolog file:  " + scriptFile);
            System.exit(1);
        }

        Process violet = null;
        try {
            violet = MDELiteObject.spawnCommandLine("java", "Utils.Violet","wait");
            System.out.format("Violet should be running now.  If not, something is wrong.\n");
            System.out.format("In any case, please close Violet...\n");
            violet.waitFor();
        } catch (Exception e) {
            System.err.println("MDELite halts -- Violet Errors detected");
            System.exit(1);
        }

        // Should be ready to go!
        System.out.println("MDELite Ready to Use!");
    }
}
