package vm2t;

import PrologDB.DB;
import PrologDB.Table;
//import CoreMDELite.ReadPrologDatabase;
import org.apache.velocity.VelocityContext;

public class DefaultContextGenerator implements ContextGenerator {

  @Override
  public VelocityContext generateContext(String inputFile, DB m, String outputFileName) {
    VelocityContext context = new VelocityContext();
    for (Table t : m.getTables())
        context.put(t.getName()+"S", t.getTuples());
//    for (String tableName : m.tables.keySet()) {
//      context.put(tableName, m.tables.get(tableName));
//    }
    int indx = inputFile.indexOf('.');
    context.put("Vm2tInFileName", inputFile.substring(0,indx));
    context.put("OutputFileName", outputFileName);
    return context;
  }

}
